gi-gdkx11-3.0.10: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Cursor

Contents

- Exported types
- Methods
  - Overloaded methods
  - getXcursor
  - getXdisplay

Description

No description available in the introspection data.

Synopsis

- newtype X11Cursor = X11Cursor (ManagedPtr X11Cursor)
- class (GObject o, IsDescendantOf X11Cursor o) => IsX11Cursor o
- toX11Cursor :: (MonadIO m, IsX11Cursor o) => o -> m X11Cursor
- x11CursorGetXcursor :: (HasCallStack, MonadIO m, IsX11Cursor a) => a -> m CULong
- x11CursorGetXdisplay :: (HasCallStack, MonadIO m, IsX11Cursor a) => a -> m Display

# Exported types

newtype X11Cursor Source #

Memory-managed wrapper type.

Constructors

X11Cursor (ManagedPtr X11Cursor) |

#### Instances

Instances details

Eq X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor Methods (==) :: X11Cursor -> X11Cursor -> Bool # (/=) :: X11Cursor -> X11Cursor -> Bool #
GObject X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor
TypedObject X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor Methods glibType :: IO GType Source #
ManagedPtrNewtype X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor Methods toManagedPtr :: X11Cursor -> ManagedPtr X11Cursor Source #
IsGValue X11Cursor Source # | Convert `X11Cursor` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11Cursor Methods toGValue :: X11Cursor -> IO GValue Source # fromGValue :: GValue -> IO X11Cursor Source #
HasParentTypes X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor
type ParentTypes X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor type ParentTypes X11Cursor = '[Cursor, Object]

class (GObject o, IsDescendantOf X11Cursor o) => IsX11Cursor o Source #

Type class for types which can be safely cast to `X11Cursor`, for instance with `toX11Cursor`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11Cursor o) => IsX11Cursor o Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor

toX11Cursor :: (MonadIO m, IsX11Cursor o) => o -> m X11Cursor Source #

Cast to `X11Cursor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getXcursor

x11CursorGetXcursor Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Cursor a) |
=> a | `cursor`: a `Cursor`.
-> m CULong | Returns: an Xlib Cursor.

Returns the X cursor belonging to a `Cursor`.

## getXdisplay

x11CursorGetXdisplay Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Cursor a) |
=> a | `cursor`: a `Cursor`.
-> m Display | Returns: an Xlib Display*.

Returns the display of a `Cursor`.